# binaryninja.types.Structure

class `binaryninja.types.``Structure`(handle=None)
  `__init__`(handle=None)

  Methods

  `__init__`([handle]) |
  `append`(t[, name]) |
  `insert`(offset, t[, name]) |
  `remove`(i) |
  `replace`(i, t[, name]) |

  Attributes

  `alignment` | Structure alignment
  `members` | Structure member list (read-only)
  `packed` |
  `type` |
  `union` |
  `width` | Structure width